Bug 803682 - CONFIG_DEBUG_VM breaks build of ATI catalyst via rpmfusion akmod
CONFIG_DEBUG_VM breaks build of ATI catalyst via rpmfusion akmod
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 08:19 EDT by Pat Gardner
Modified: 2012-03-31 15:26 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-15 09:13:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
akmod ati catalyst build log (14.26 KB, application/octet-stream)
2012-03-15 08:19 EDT, Pat Gardner
no flags Details

  None (edit)
Description Pat Gardner 2012-03-15 08:19:40 EDT
Created attachment 570273 [details]
akmod ati catalyst build log

Description of problem:

Build of catalyst module via the akmod rpm from rpmfusion fails for latest kernel.

Version-Release number of selected component (if applicable):

3.2.9-2.fc16.x86_64

How reproducible:

Always with the above kernel and headers, but works on 3.2.9-1.fc16.x86_64


Steps to Reproduce:
1. yum update kernel and headers to 3.2.9-2.fc16.x86_64
2. run: sudo akmods --force --kernels 3.2.9-2.fc16.x86_64

  
Actual results:

Checking kmods exist for 3.2.9-2.fc16.x86_64               [  OK  ]
Building and installing catalyst-kmod                      [FAILED]
Building rpms failed; see /var/cache/akmods/catalyst/12.1-1-for-3.2.9-2.fc16.x86_64.failed.log for details

Expected results:

Ideally the above steps should not even have to be taken as the kernel module is built automatically for each new kernel. Running manually as above the result should be "OK".

Additional info:

I believe the failure has to do with the recent commit to kernel headers

yum changelog 03/01/2012 kernel-headers-3.2.9-2.fc16.x86_64

* Fri Mar 2 12:00:00 2012 Dave Jones <davej@redhat.com>
 - Enable VM debugging in non-debug kernels too.

If the CONFIG_DEBUG_VM definition at lines 56-57 is commented out in /usr/src/kernels/3.2.9-1.fc16.x86_64/arch/x86/include/asm/uaccess_64.h
then the module build works.
Comment 1 Josh Boyer 2012-03-15 09:13:47 EDT
The in-tree modules build fine.  fglrx needs to be fixed.
Comment 2 Canyon Bliss 2012-03-31 15:26:20 EDT
It is indeed part of fglrx. There is a bug related to it on the unofficial Linux Bugzilla: http://ati.cchtml.com/show_bug.cgi?id=461 .

Until AMD/ATI fixes the bug, the rpmfusion RPMs could apply the patch discussed there.

Note You need to log in before you can comment on or make changes to this bug.